com.google.gwt.user.client.rpc

## Interface ServiceDefTarget

    public interface ServiceDefTarget

An interface implemented by client-side RPC proxy objects. Cast the object returned from `GWT.create(Class)` on a `RemoteService` to this interface to initialize the target URL for the remote service.

### Nested Class Summary

Nested Classes
`static class` `ServiceDefTarget.NoServiceEntryPointSpecifiedException` This exception is thrown when a service is invoked without `setServiceEntryPoint(String)` having been called.

### Method Summary

All Methods Instance Methods Abstract Methods
`java.lang.String` `getSerializationPolicyName()` Return the strong name of the serialization policy to be used with this RPC instance.
`java.lang.String` `getServiceEntryPoint()` Gets the URL of a service implementation.
`void` `setRpcRequestBuilder(RpcRequestBuilder builder)` Sets the RpcRequestBuilder that should be used by the service implementation.
`void` `setServiceEntryPoint(java.lang.String address)` Sets the URL of a service implementation.

### Method Detail

#### getSerializationPolicyName

    java.lang.String getSerializationPolicyName()

Return the strong name of the serialization policy to be used with this RPC instance.

#### getServiceEntryPoint

    java.lang.String getServiceEntryPoint()

Gets the URL of a service implementation.

Returns:
  the last value passed to `setServiceEntryPoint(String)`

#### setRpcRequestBuilder

    void setRpcRequestBuilder(RpcRequestBuilder builder)

Sets the RpcRequestBuilder that should be used by the service implementation. This method can be called if customized request behavior is desired. Calling this method with a null value will reset any custom behavior to the default implementation.

#### setServiceEntryPoint

    void setServiceEntryPoint(java.lang.String address)

Sets the URL of a service implementation.

Parameters:
  `address` - a URL that designates the service implementation to call